Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.DropCompletedInfo

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.DropCompletedInfo

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.DropCompletedInfo

extends Object

Contains the info for the 'dropCompleted' Event.

Field Summary
`protected ArrayList` | `children` Nodes to be appended.
`protected Node` | `parent` Parent node.
`protected Node` | `sibling` Next sibling node.

Constructor Summary
`DOMDocumentTree.DropCompletedInfo(Node parent, Node sibling, ArrayList children)`

Method Summary
`ArrayList` | `getChildren()` Gets the children.
`Node` | `getParent()` Getter for the parent.
`Node` | `getSibling()` Getter for the sibling.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected Node parent

  Parent node.

### children

    protected ArrayList children

  Nodes to be appended.

### sibling

    protected Node sibling

  Next sibling node.

Constructor Detail

### DOMDocumentTree.DropCompletedInfo

    public DOMDocumentTree.DropCompletedInfo(Node parent,
                                             Node sibling,
                                             ArrayList children)

Parameters:
  `parent` - Parent node
  `children` - Nodes to be appended

Method Detail

### getChildren

    public ArrayList getChildren()

  Gets the children.

  Returns:
    the children

### getParent

    public Node getParent()

  Getter for the parent.

  Returns:
    the parent

### getSibling

    public Node getSibling()

  Getter for the sibling.

  Returns:
    the sibling

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.